Update volume labels
PUT
/api/docker/nodes/{nodeId}/volumes/{name}/labels
const url = 'https://gateway.example.com/api/docker/nodes/550e8400-e29b-41d4-a716-446655440000/volumes/example/labels';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"labels":{}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://gateway.example.com/api/docker/nodes/550e8400-e29b-41d4-a716-446655440000/volumes/example/labels \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "labels": {} }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”nodeId
required
string
Example
550e8400-e29b-41d4-a716-446655440000name
required
string
Example
exampleRequest Bodyrequired
Section titled “Request Bodyrequired”JSON request body
Media typeapplication/json
object
labels
object
key
additional properties
string
Responses
Section titled “Responses”Successful response
Media typeapplication/json
object
success
required
boolean
Example
{ "data": { "name": "postgres-data", "driver": "local", "mountpoint": "/var/lib/docker/volumes/postgres-data/_data" }}Bad request
Media typeapplication/json
object
code
required
Error code
string
message
required
Human-readable error message
string
details
Additional error details
Example
{ "code": "VALIDATION_ERROR", "message": "Request validation failed", "details": [ { "path": [ "name" ], "message": "Required" } ]}Authentication required
Media typeapplication/json
object
code
required
Error code
string
message
required
Human-readable error message
string
details
Additional error details
Example
{ "code": "UNAUTHORIZED", "message": "Authentication required"}Forbidden
Media typeapplication/json
object
code
required
Error code
string
message
required
Human-readable error message
string
details
Additional error details
Example
{ "code": "FORBIDDEN", "message": "Insufficient permissions"}Not found
Media typeapplication/json
object
code
required
Error code
string
message
required
Human-readable error message
string
details
Additional error details
Example
{ "code": "NOT_FOUND", "message": "Resource not found"}Conflict
Media typeapplication/json
object
code
required
Error code
string
message
required
Human-readable error message
string
details
Additional error details
Example
{ "code": "CONFLICT", "message": "Resource already exists"}Unprocessable entity
Media typeapplication/json
object
code
required
Error code
string
message
required
Human-readable error message
string
details
Additional error details
Example
{ "code": "UNPROCESSABLE_ENTITY", "message": "Request could not be processed"}Internal server error
Media typeapplication/json
object
code
required
Error code
string
message
required
Human-readable error message
string
details
Additional error details
Example
{ "code": "INTERNAL_ERROR", "message": "Internal server error"}